Channel Management/Accounts
Account List
Interface description: Get the channel account list of the current user in pages.
GET
/
api
/
v2
/
channels
/
accounts
Account List
curl --request GET \
--url https://aitoearn.cn/api/v2/channels/accounts \
--header 'X-Api-Key: <api-key>'import requests
url = "https://aitoearn.cn/api/v2/channels/accounts"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://aitoearn.cn/api/v2/channels/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://aitoearn.cn/api/v2/channels/accounts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"code": 0,
"message": "Request succeeded",
"data": {
"total": "number",
"list": [
{
"id": "string",
"userId": "string",
"type": "string",
"uid": "string",
"avatar": "string",
"nickname": "string",
"fansCount": "number",
"followingCount": "number",
"readCount": "number",
"likeCount": "number",
"collectCount": "number",
"forwardCount": "number",
"commentCount": "number",
"lastStatsTime": "string",
"workCount": "number",
"income": "number",
"groupId": "string",
"status": "number",
"rank": "number",
"relayAccountRef": "string | null",
"createdAt": "string",
"updatedAt": "string"
}
]
},
"requestId": "string"
}Authorizations
Need to get API Key from AiToEarn. Click to go to "API Key Obtaining Tutorial".
Query Parameters
Account ID array
Minimum string length:
1Array of platform types. The value is the enumeration identifier of each platform. First call the "Platform List" interface (GET /api/v2/channels/platforms) and use the data[n].platform returned by it.
Available options:
douyin, xhs, wxSph, KWAI, youtube, wxGzh, bilibili, twitter, tiktok, facebook, instagram, threads, pinterest, linkedin Account status: 1 normal (available), 0 abnormal (unavailable).
Response
200 - application/json
The request has been processed by the service. Business success is determined by whether the response body has code === 0.
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Business status code. 0 means success; non-zero means a business error.
Response message.
Request ID.
Error response timestamp in Unix milliseconds.
Last modified on September 29, 2026
⌘I
Account List
curl --request GET \
--url https://aitoearn.cn/api/v2/channels/accounts \
--header 'X-Api-Key: <api-key>'import requests
url = "https://aitoearn.cn/api/v2/channels/accounts"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://aitoearn.cn/api/v2/channels/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://aitoearn.cn/api/v2/channels/accounts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"code": 0,
"message": "Request succeeded",
"data": {
"total": "number",
"list": [
{
"id": "string",
"userId": "string",
"type": "string",
"uid": "string",
"avatar": "string",
"nickname": "string",
"fansCount": "number",
"followingCount": "number",
"readCount": "number",
"likeCount": "number",
"collectCount": "number",
"forwardCount": "number",
"commentCount": "number",
"lastStatsTime": "string",
"workCount": "number",
"income": "number",
"groupId": "string",
"status": "number",
"rank": "number",
"relayAccountRef": "string | null",
"createdAt": "string",
"updatedAt": "string"
}
]
},
"requestId": "string"
}
